MSGMERGE(1)

NOM
msgmerge — Fusionner un catalogue de messages avec un modèle

SYNOPSIS
msgmerge [OPTION] def.po ref.pot

DESCRIPTION

Cet utilitaire permet de fusionner deux fichiers .po de style Uniforum. Le fichier def.po est un fichier PO existant avec des traductions qui seront reprises dans le fichier nouvellement créé, pourvu qu'elles soient toujours d’actualité ; les commentaires normaux sont conservés mais les commentaires extraits et les positions dans le fichier sont supprimés. Le fichier ref.pot est le dernier fichier PO créé avec des références source à jour et des traductions non à jour, ou un fichier POT modèle (en général créé par xgettext(1)) ; les traductions et commentaires seront supprimés, les commentaires extraits et les positions dans le fichier étant conservés. Lorsqu’il est impossible de trouver une correspondance exacte, une recherche de correspondance approximative (« fuzzy matching ») sera effectuée pour produire le meilleur résultat.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

  Emplacement du fichier d'entrée :

def.po
    traductions correspondant à d’anciennes sources

ref.pot
    références aux nouvelles sources

-D, --directory=RÉPERTOIRE
    ajouter RÉPERTOIRE à la liste pour la recherche de fichiers d'entrée

-C, --compendium=FICHIER
    bibliothèques additionnelles de traductions de messages ; cette option peut être spécifiée plusieurs fois

  Mode opératoire :

-U, --update
    mettre à jour def.po, ne rien faire si def.po est déjà à jour

  Emplacement du fichier de sortie :

-o, --output-file=FICHIER_SORTIE
    écrire la sortie dans le fichier spécifié

Les résultats seront écrits sur la sortie standard si aucun fichier n'est spécifié ou si c'est « - ».

Emplacement du fichier de sortie en mode mise à jour : les résultats sont reportés dans def.po.

--backup=CONTRÔLE
    faire une sauvegarde de def.po

--suffix=SUFFIXE
    outrepasser le suffixe habituel d'archivage avec le SUFFIXE

La méthode de contrôle de version peut être sélectionnée à l’aide de l’option --backup ou de la variable d’environnement VERSION_CONTROL. Les valeurs possibles sont :

none, off
    ne jamais archiver (même si --backup est utilisé)

numbered, t
    faire des archives numérotées

existing, nil
    numéroter si des archives numérotées existent déjà, sinon ne pas numéroter

simple, never
    toujours faire des archives de type simple

Le suffixe de sauvegarde par défaut est « ~ » ; il peut être redéfini à l’aide de l’option --suffix ou de la variable d’environnement SIMPLE_BACKUP_SUFFIX.

  Modificateurs du mode opératoire :

-m, --multi-domain
    appliquer ref.pot à chacun des domaines de def.po

--for-msgfmt
    produire une sortie pour msgfmt(1), pas pour un traducteur

-N, --no-fuzzy-matching
    ne pas effectuer de recherche de correspondance approximative

--previous
    conserver les msgid précédents des messages traduits

  Syntaxe du fichier d'entrée :

-P, --properties-input
    les fichiers d'entrée ont la syntaxe .properties de Java

--stringtable-input
    les fichiers d'entrée ont la syntaxe .strings de NeXTstep/GNUstep

  Présentation de la sortie :

--lang=NOM_LANGUE
    définir le champ « Language » de l'en-tête

--color
    toujours utiliser la couleur et d'autres attributs de texte

--color=QUAND
    QUAND utiliser la couleur et d'autres attributs de texte. QUAND peut être always, never, auto ou html

--style=FICHIER_STYLE
    spécifier le fichier de règles de style CSS pour --color

-e, --no-escape
    ne pas utiliser de séquence d'échappement C dans la sortie (comportement par défaut)

-E, --escape
    utiliser les séquences d'échappement C dans la sortie, pas les caractères étendus

--force-po
    écrire un fichier PO même s'il est vide

-i, --indent
    style de sortie indenté

--no-location
    supprimer les lignes « #: nom_fichier:ligne »

-n, --add-location
    conserver les lignes « #: nom_fichier:ligne » (comportement par défaut)

--strict
    style de sortie Uniforum strict

-p, --properties-output
    écrire un fichier .properties Java

--stringtable-output
    écrire un fichier .strings NeXTstep/GNUstep

-w, --width=LARGEUR
    définir la LARGEUR de page de la sortie

--no-wrap
    ne pas scinder en plusieurs lignes les longues lignes de message, plus longues que la largeur de la page de sortie

-s, --sort-output
    générer une sortie triée (obsolète)

-F, --sort-by-file
    trier la sortie par emplacement de fichier

  Sortie informative :

-h, --help
    afficher l'aide-mémoire et quitter

-V, --version
    afficher les informations de version et quitter

-v, --verbose
    augmenter le niveau de détail

-q, --quiet, --silent
    ne pas afficher les indicateurs de progression

AUTEUR
Écrit par Peter Miller et Bruno Haible.

SIGNALER DES BOGUES
Signaler les bogues dans le système de gestion de problèmes à l'adresse <https://savannah.gnu.org/projects/gettext> ou par courriel à <bug-gettext@gnu.org>.

COPYRIGHT
Copyright © 1995-2026 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète de msgmerge est disponible dans un manuel Texinfo. Si les programmes info et msgmerge sont correctement installés, la commande

    info msgmerge

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.